Loading...
Searching...
No Matches
MandatoryViewAndSliceProgressionDirectionMacro Class Reference

Class representing the Mandatory View and Slice Progression Direction Macro. More...

Inheritance diagram for MandatoryViewAndSliceProgressionDirectionMacro:

## Public Member Functions

| MandatoryViewAndSliceProgressionDirectionMacro (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| MandatoryViewAndSliceProgressionDirectionMacro (IODComponent *parent=NULL)
| Constructor.
virtual void | clearData ()
| Clear (removes) all attributes handled by the modules of this component.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of macro.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read Mandatory View and Slice Progression Direction Macro from given item.
virtual OFCondition | write (DcmItem &item)
| Write Mandatory View and Slice Progression Direction Macro to given item.
virtual CodeSequenceMacro & | getViewCode ()
| Get View Code.
virtual OFVector< CodeSequenceMacro * > & | getViewModifierCode ()
| Get View Modifier Code.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch.
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set.
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set.
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | inventMissing ()
| Set missing values by inventing "default values".
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module.
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3.
DcmItem & | getData ()
| Get the data handled by this module.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components.
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing.
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e.

## Protected Attributes

CodeSequenceMacro | m_ViewCodeSequence
| View Code Sequence (SQ, VM 1, type 1).
OFVector< CodeSequenceMacro * > | m_ViewModifierCode
| View Modifier Code Sequence (SQ, VM 1-n, type 2C).
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class.
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e.

## Additional Inherited Members

Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name.
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name.

## Detailed Description

Class representing the Mandatory View and Slice Progression Direction Macro.

## Constructor & Destructor Documentation

## MandatoryViewAndSliceProgressionDirectionMacro() [1/2]

MandatoryViewAndSliceProgressionDirectionMacro::MandatoryViewAndSliceProgressionDirectionMacro | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules,
|  | IODComponent * | parent = NULL )

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set where this classes rules are added to. If NULL, the class creates an empty rule set.
  parent | The parent of the IOD component (NULL if none or unknown)

References IODComponent::IODComponent().

## MandatoryViewAndSliceProgressionDirectionMacro() [2/2]

MandatoryViewAndSliceProgressionDirectionMacro::MandatoryViewAndSliceProgressionDirectionMacro | ( | IODComponent * | parent = NULL | ) |

Constructor.

Parameters

  parent | The parent of the IOD component (NULL if none or unknown)

References IODComponent::IODComponent().

## Member Function Documentation

## getName()

virtual OFString MandatoryViewAndSliceProgressionDirectionMacro::getName | ( |  | ) | const

virtual

Get name of macro.

Returns
  Name of the module ("MandatoryViewAndSliceProgressionDirectionMacro")

Implements IODComponent.

## getViewCode()

virtual CodeSequenceMacro & MandatoryViewAndSliceProgressionDirectionMacro::getViewCode | ( |  | ) |

virtual

Get View Code.

Returns
  Reference to code

## getViewModifierCode()

virtual OFVector< CodeSequenceMacro * > & MandatoryViewAndSliceProgressionDirectionMacro::getViewModifierCode | ( |  | ) |

virtual

Get View Modifier Code.

Returns
  Reference to code

## read()

virtual OFCondition MandatoryViewAndSliceProgressionDirectionMacro::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = OFTrue )

virtual

Read Mandatory View and Slice Progression Direction Macro from given item.

Parameters

  source | The item to read from
  clearOldData | If OFTrue (default), old data is cleared before reading

Returns
  EC_Normal if successful, error otherwise

Reimplemented from IODComponent.

## write()

virtual OFCondition MandatoryViewAndSliceProgressionDirectionMacro::write | ( | DcmItem & | item | ) |

virtual

Write Mandatory View and Slice Progression Direction Macro to given item.

Parameters

  item | The item to write to

Returns
  EC_Normal if successful, error otherwise

Reimplemented from IODComponent.

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/iodmacro.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0